//
//  BarcodeResult.h
//  ScanditBarcodeScanner
//
//  Created by Moritz Hartmeier on 20/08/15.
//  Copyright (c) 2015 Scandit AG. All rights reserved.
//

#import <Foundation/Foundation.h>


// Barcode Symbologies
#define kBarcodeTypeEAN13 				0x1
#define kBarcodeTypeUPCE 				0x2
#define kBarcodeTypeEAN8 				0x4
#define kBarcodeTypeQRCODE 				0x10
#define kBarcodeTypeCODE128 			0x20
#define kBarcodeTypeCODE39 				0x40
#define kBarcodeTypeDATAMATRIX 			0x80
#define kBarcodeTypeITF 				0x100
#define kBarcodeTypeEAN5 				0x200
#define kBarcodeTypeEAN2				0x400
#define kBarcodeTypeCodabar				0x800
#define kBarcodeTypeCODE93				0x1000
#define kBarcodeTypePDF417				0x2000
#define kBarcodeTypeGS1Databar			0x4000
#define kBarcodeTypeGS1DatabarExpanded	0x8000
#define kBarcodeTypeAztec				0x10000


@interface BarcodeResult : NSObject <NSCoding>

@property (readonly) int barcodeType;
@property (readonly, strong) NSString *barcodeString;
@property (readonly, copy) NSString *extendedBarcodeString;
@property (readonly) BarcodeResult *associatedBarcode;

@property (readonly, strong) NSDate *firstScanTime;
@property (readonly, strong) NSDate *mostRecentScanTime;
@property (readonly, strong) NSMutableArray	*barcodeLocation;

@end
